LINUX.ORG.RU

Qt 4 в Debian Buster не будет

 , ,


1

2

Разработчики Debian сообщили об удалении Qt4 из репозиториев Debian. В Debian 10 будет только Qt5. Следом за удалением Qt4 ожидается и удаление классической темы KDE 4 Oxygen, которая зависит от Qt4. Пользователям свободного ПО предлагается самостоятельно портировать их на Qt5, пользователям проприетарного ПО предлагается требовать у разработчика обновления.

Первая попытка отказаться от Qt4 была еще в Debian 9 Stretch, но в итоге было принято решение оставить ее, исправляя лишь критические проблемы.

>>> Подробности



Проверено: leave ()

Debian уже не тот. Теперь рулит Слака. В Debian'е даже GTK 1 из коробки нет. А в Слаке есть.

PS. А потом ещё некоторые говорят, что кроме GTK и Qt ничего не нужно, а разного рода Tk, Motif и fltk остались в прошлом. Тем не менее, Tk, Motif и fltk продолжают работать, как и десятилетия назад, и никто выпиливать их не собирается.

saahriktu ★★★★ ()
Последнее исправление: saahriktu (всего исправлений: 1)

Да они OKHRENELEY. Гномосеки покусали, что ли?

Сейчас проверил — у меня ещё куча софта на Qt4 стоит:

  • unetbootin
  • qt-ponies
  • wireshark
  • vlc
  • virtualbox
  • sqlitebrowser
  • qtractor
  • qsynth
  • qpxtool
  • qmmp
  • qjackctl
  • qgit
  • qbittorrent
  • q4wine
  • psi-plus
  • okular
  • mixxx
  • lmms
  • umbrello
  • kcachegrind
  • kdenlive
  • k3b
  • filelight
  • arora
  • qutim
  • qemuctl
  • skype

Ну и кто всё это портировать будет? systemd-pushkind?! Ещё как из реп сейчас повыкидывают вместе с культями...

bodqhrohro_promo ()
Ответ на: комментарий от bodqhrohro_promo

Справедливости ради:

wireshark

Давным-давно имеет GUI на Qt5. Если мэйнтэйнеры твоего дистра собирают с Qt4 - это их проблемы.

k3b

Есть под KDE5

Остальное не смотрел, но верю что много из перечисленного - еще на Qt4.

Pinkbyte ★★★★★ ()
Ответ на: комментарий от KennyMinigun

1) Сбрасываю на DVD малонужные файлы, ибо винт не резиновый. Дешевле носителя нет.

2) Иногда знакомые заказывают мне, как тыжпрограммисту, записать всякие свои сьёмки и сюжеты про них, чтобы потом смотреть их на DVD-плеере. Даже делал раз в какой-то притянувшейся с K3B приблуде DVD-меню.

3) Приложение к дипломной сдаётся на диске. Ибо кого ещё вклеивать туда, microSD?

А вообще, у меня то ли привод в ноуте накрылся, то ли K3B перестал их правильно писать, но диски получаются нечитаемые. Так что уже пару лет прожигаю только на стационарнике с виндой.

bodqhrohro_promo ()
Ответ на: комментарий от Thero

Как это «нет»? Tk, fltk и Motif есть в репозиториях. В т.ч. Debian'а, Убунты и Федоры. И в Debian'е 10 они тоже будут. А Qt 4, вон, выпилят. А на этом Qt 4 даже официальный djview.

https://packages.debian.org/sid/tk / https://packages.debian.org/stretch/tk ; https://packages.debian.org/sid/libfltk1.3 / https://packages.debian.org/stretch/libfltk1.3 ; https://packages.debian.org/stretch/libxm4 / https://packages.debian.org/sid/libxm4 .

https://apps.fedoraproject.org/packages/tk , https://apps.fedoraproject.org/packages/fltk , https://apps.fedoraproject.org/packages/motif , https://apps.fedoraproject.org/packages/lesstif .

saahriktu ★★★★ ()
Последнее исправление: saahriktu (всего исправлений: 1)
Ответ на: комментарий от Sunderland93

Конечно. Куча софта слинкована с этими библиотеками. moxfm, xplore, CDE, mwm, xemacs, xpdf, ding, pfm, idle, tkremind, tkabber, tkdesk, tkdiff, tkcvs, tkgate, tkinfo, xmessage, bist, drawxtl, eureka, fldiff, flpsed, flwm, htmldoc, imview, lmms, obdgpslogger, posterazor, seaview, tigervnc-viewer, xdiskusage, xpp, tkdvd,... и т.д. И это не говоря про отдельные части ряда такого софта как csound, octave, expect,... и т.д.

При этом эти библиотеки прекрасно подходят для разработки своего собственного нового софта.

saahriktu ★★★★ ()
Последнее исправление: saahriktu (всего исправлений: 1)
Ответ на: комментарий от Sunderland93

не умеющая в Wayland как минимум

Ещё бы оно умело в то время, когда те тулкиты, на которых оно написано, на Wayland ещё не портанули. Wayland пока ещё сырой и пустой. Под него портанули-то, по сути, только три с половиной тулкита, включая GTK 3, Qt 5 и SDL 2 (послее к тому же пока ещё экспериментально).

LMMS? Серьёзно?

Да. Он тянет fltk: https://packages.debian.org/stretch/lmms .

saahriktu ★★★★ ()

Пользователям свободного ПО предлагается самостоятельно портировать их на Qt5, пользователям проприетарного ПО предлагается требовать у разработчика обновления.

Стальные яйца.

Ну а на самом деле good riddance.

intelfx ★★★★★ ()

Вот бы они также рвались в стейбле более свежие версии софта держать, а не замораживать какие-нибудь кеды/гномы, перед тем как разработчики пофиксят баги и не выпустят просто более нормальный релиз.

Exmor_RS ()

Qt5 к сожалению падает - в нем какая-то гонка, которая приводит в гроханию в процессе доставки объекту события. Для этого достаточно сделать что угодно, что дергает event system, например parenta указать создаваемому объекту.

Что конкретно переводит qt5 в такое состояние - я хз. Если он проскакивает «красный период», то работает нормально. Разрабы в отрицалове.

может в 5.9 починили.

ckotinko ★★★ ()

Теперь возникли проблемы другого плана - для поддержки новых версий некоторых библиотек требуется внесение существенных изменений в Qt 4, поэтому проще вообще удалить из Qt 4 связанные с данными библиотеками подсистемы. Например, для обеспечения совместимости с OpenSSL 1.1 разработчики столкнулись с необходимостью применения непротестированных патчей, а для поддержки выпусков новее OpenSSL 1.1 остаётся только удалить из Qt 4 поддержку SSL. Аналогичная проблема наблюдается с поддержкой в Qt 4 движка WebKit.

???

Разработчики Debian сообщили о скором удалении пакетов с Qt 4 из репозиториев testing и unstable.

Вот дети, смотрите внимательно, что бывает, когда вместо библиотек начинают делать "фреймворки" (aka косые комбайны). Финал у всех таких "фреймворков" один -- быть выброшенным по причине несопровождабельности монстра. И Qt5 выбросят, напутствуя

be sure to try to port it.

d_a ★★★★★ ()
Ответ на: комментарий от d_a

Фреймворку нужна поддержка в виде ОС. У Qt этой поддержки, к сожалению или к счастью, нету.

Вот у фреймворка AppKit есть поддержка в виде macOS, поэтому его вряд ли когда-то выкинут. А если и соберутся выкидывать, то представят прослойку, его реализующую.

EXL ★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)

Я как почитал новость, решил что там ещё Qt3, с учётом что они там годами адово некрофилтьсвуют с кучей других пакетов даже в testing и sid, то такие мысли не удивительны

GanGSISoft ★★ ()
Последнее исправление: GanGSISoft (всего исправлений: 1)
Ответ на: комментарий от EXL

Вот и эта хрень пускай бы на винде оставалась, со встроенным SSL, Webkit и раковиной. Там такое любят. Тем более что версию на онтопик делали и так по остаточному принципу, например всю четвёрку QProcess плодил зомби, починить сил и корпоративного финансирования хватило только в 5. Багу 8 лет. И так всю дорогу, всё что не оттещено толпой виндузятников всё криво-косо.

d_a ★★★★★ ()
Ответ на: комментарий от fornlr

Того не того, а оригинальный 1.x тупо захоронили там же вместе со своим "фреймворком", в семейном склепе. Ладно хоть на этот раз 4 и 5 mostly source compatible, может и правда портируют чего, а не как тогда с амароком.

d_a ★★★★★ ()